# This is an example ~/.config/gertty/gertty.yaml file for use with
# installations of Gerrit running on googlesource.com. Most of these options
# are not required, rather, they customize Gertty to better deal with the
# particulars of Google's Gerrit configuration.

# This file does not list all of the available options.  For a full
# list with explanations, see the 'reference-gertty.yaml' file.

servers:
  - name: CHANGEME-review
    url: https://CHANGEME-review.googlesource.com/
    # Your gerrit username.
    username: CHANGEME
    # Set password at https://{name}-review.googlesource.com/#/settings/http-password
    # Note this is not your Google password.
    password: CHANGEME
    auth-type: basic
    git-root: ~/git/

# Uncomment the next line if your terminal has a white background
# palette: light

# Commentlinks are regexes that are applied to commit and review
# messages.  They can be replaced with internal or external links, or
# have colors applied.
commentlinks:
  # Match Gerrit change ids, and replace them with a link to an
  # internal Gertty search for that change id.
  - match: "(?P<id>I[0-9a-fA-F]{40})"
    replacements:
      - search:
          text: "{id}"
          query: "change:{id}"

# Uncomment the following line to use a unified diff view instead
# of the default side-by-side:
# diff-view: unified

# This section defines customized dashboards.  You can supply any
# Gertty search string and bind them to any key.  They will appear in
# the global help text, and pressing the key anywhere in Gertty will
# discard the current display stack and replace it with the results of
# the query.
#
# NB: "recentlyseen:24 hours" does not just return changes seen in the
# last 24 hours -- it returns changes seen within 24 hours of the most
# recently seen change.  So you can take the weekend off and pick up
# where you were.
dashboards:
  - name: "My changes"
    query: "owner:self status:open"
    key: "f2"
  - name: "Incoming reviews"
    query: "is:open is:reviewer"
    key: "f3"
  - name: "Starred changes"
    query: "is:starred"
    key: "f4"
  - name: "Recently seen changes"
    query: "recentlyseen:24 hours"
    sort-by: "last-seen"
    reverse: True
    key: "f5"

# Reviewkeys are hotkeys that perform immediate reviews within the
# change screen.  Any pending comments or review messages will be
# attached to the review; otherwise an empty review will be left.  The
# approvals list is exhaustive, so if you specify an empty list,
# Gertty will submit a review that clears any previous approvals.  To
# submit the change with the review, include 'submit: True' with the
# reviewkey.  Reviewkeys appear in the help text for the change
# screen.
reviewkeys:
  - key: 'meta 0'
    approvals: []
  - key: 'meta 1'
    approvals:
      - category: 'Code-Review'
        value: 1
  - key: 'meta 2'
    approvals:
      - category: 'Code-Review'
        value: 2
  - key: 'meta 3'
    approvals:
      - category: 'Code-Review'
        value: 2
    submit: True
